﻿
.b-inline {display: inline-block;vertical-align: top}
.b-line {display: block;vertical-align: top}
/* shorthands */
.right-5 { margin-right:5px}
.right-15 { margin-right:15px}
.hidden { display: none !important}
.text-center { text-align:center}
.text-right { text-align:right}

/* Links and Pseudo Links  */
.b-form a {
    color: #229DB3;
    text-decoration: underline;
}
.b-form a:hover {
    color: #177788;
}
.b-pseudolink {
    color: #229DB3;
}
.b-pseudolink a {
    text-decoration: none;
    border-bottom-width: 1px;
    border-bottom-style: dotted;
    border-bottom-color: inherit;
    color: inherit;
}

.b-page-title {
    margin: 0;
    padding: 0;
    font-size: 24px;
    line-height: 1;
    font-weight: normal;
    font-style: normal;
}
.b-top-search .b-page-title {
    color: #fff;
    text-shadow: 0 0 1px #333;
}
.b-page-subtitle {
    margin: 0 0 7px 0;
    padding: 0;
    font-size: 14px;
    line-height: 1;
    font-weight: bold;
    text-transform: uppercase;
    color: #3F3F3F;
}

/*
    Styling Forms Elements: inputs, selects, checkboxes, radios etc.
*/
.b-form input,.b-form select,.b-form textarea {
    font-family: Arial, Helvetica, Sans-Serif;
    font-weight: normal;
    vertical-align: middle;
    background: transparent;
    outline: none;
}
.b-form-elem_wrapper { 
    position: relative; 
}
.b-input-hidden {
    display: none;
}



/* large form elements */
.form-elem-large .b-form-elem_control {
    background: #f0efea;
    border-top: solid 1px #1f7785;
    border-bottom: solid 1px #19606c;
    border-right: solid 1px #1d6b78;
    border-left: solid 1px #1d6b78;
    -webkit-border-radius: 4px; 
    -moz-border-radius: 4px; 
    border-radius: 4px;
    box-shadow: inset  3px 3px 4px #777, inset 3px 3px 4px #777;
}
.form-elem-large.b-form-elem:hover .b-form-elem_control {
    background: #fff;
}
.form-elem-large .b-form-elem_control:focus {
    border-color: #FFA64D;
    box-shadow: inset 0 2px 1px rgba(0,0,0, 0.1), inset 1px 1px 0 rgba(255,166,77, 1), inset -1px -1px 0 rgba(255,166,77, 1);
    background: #fff;
}
.form-elem-large input, 
.form-elem-large select {
    height: 38px;
    padding: 0 10px;
    color: #111;
}
.form-elem-large input {
    font-size: 20px;
}
.form-elem-large select {
    font-size: 16px;
}


/* normal form elements */
.b-size-normal .b-form-elem_control {
    background: #fff;
    border-top: solid 1px #61b3b9;
    border-bottom: solid 1px #add9db;
    border-right: solid 1px #add9db;
    border-left: solid 1px #add9db;
    -webkit-border-radius: 3px; 
    -moz-border-radius: 3px; 
    border-radius: 3px;
    box-shadow: inset 0 1px 1px rgba(0,0,0, 0.18);
}
.b-size-normal .b-form-elem_control:hover {
    border-top: solid 1px #4da1a7;
    border-bottom: solid 1px #68babe;
    border-right: solid 1px #67b9bd;
    border-left: solid 1px #67b9bd;
}
.b-size-normal .b-form-elem_control:focus {
    border-top: solid 1px #3b8287;
    border-bottom: solid 1px #4dabb0;
    border-right: solid 1px #4caaaf;
    border-left: solid 1px #4caaaf;
}
.b-size-normal.invalid .b-form-elem_control {
    border-top: solid 1px #cc3828;
    border-bottom: solid 1px #dd4d3b;
    border-right: solid 1px #dd4c3a;
    border-left: solid 1px #dd4c3a;
}
.b-size-normal input, 
.b-size-normal select {
    height: 35px;
    padding: 0 10px;
    font-size: 14px;
    color: #111;
}

/* main search form */
.b-form-search-main 
{
    background: url("images/backgrounds/bg-search-top.png") repeat-x scroll 0 0 transparent;
    box-shadow: 0 0px 8px rgba(0, 0, 0, 0.65);
    padding: 10px 15px 15px;
}
.b-form-search-main .b-form-elem_wrapper {
    display: inline-block;
}
.b-form-search-main .b-form-elem_label {
    display: block;
    margin-bottom: 2px;
    padding-left: 3px;
    font-size: 12px;
    line-height: 1;
    color: #D2E5E9;
}
.b-form-search-main .b-room-labels {
    display: block;
    overflow: hidden;
}
.b-room-labels .b-form-elem_label {
    float: left;
    width: 311px;
    margin-bottom: 0;
}

.b-form-search-main .b-elem-destination {
    width: 350px;
    padding-right: 30px;
}
.b-elem-calendar {
    cursor: text;
}
.b-form-search-main .b-elem-calendar {
    width: 160px;
}
.b-form-search-main .b-button-search {
    margin-top: 14px;
}

.b-form-search-main .b-room-labels,
.b-form-search-main .b-destination {
    margin-top: 10px;
}
.b-form-search-main .b-add-room {
    display: inline-block;
    margin-left: 3px;
    color: #229DB3;
    font-size: 14px;
    line-height: 31px;
}
.b-form-search-main .b-pseudolink {
    color: #D2E5E9;
}
.b-form-search-main .b-pseudolink:hover {
    color: #FFBF00;
}
.b-form-search-main a {
    text-decoration: none;
    outline: none;
}
.b-form-search-main .b-room {
    display: block;
    vertical-align: top;
    margin-top: 5px;
}
.b-form-search-main .b-adults, 
.b-form-search-main .b-age {
    margin-right: 5px;
}
.b-form-search-main .b-age:last-child {
    margin-right: 10px;
}
.b-form-search-main .b-children {
    margin-right: 10px;
}
.b-form-search-main .b-adults .selector, 
.b-form-search-main .b-children .selector {
    width: 145px;
}
.b-form-search-main .b-age .selector {
    width: 60px;
}
.b-remove-room {
    display: inline-block;
    width: 16px;
    height: 16px;
    text-indent: -6000px;
    overflow: hidden;
    text-decoration: none;
    background-color: transparent;
    background-image: url('images/icons/icons.png');
    background-repeat: no-repeat;
    background-position: -48px -15px;
}
.b-form-search-main .b-remove-room {
    margin-top: 10px;
    margin-right: 12px;
}
.b-form-search-main .b-remove-room:hover {
    background-position: -64px -15px;
}

/* 
    uniforms elements 
*/
.selector {
    margin: 0;
    padding: 0;
    position: relative;
    height: 35px;
width:109px !important;float:left;
    background: #f0efea;
    border-top: solid 1px #1f7785;
    border-bottom: solid 1px #19606c;
    border-right: solid 1px #1d6b78;
    border-left: solid 1px #1d6b78;
    -webkit-border-radius: 4px; 
    -moz-border-radius: 4px; 
    border-radius: 4px;
    box-shadow: 0 1px 0 rgba(255,255,255, 0.45), inset 0 2px 1px rgba(0,0,0, 0.1);

    background-color: #fff;
    background-image: url('images/buttons/buttons-new.png');
    background-repeat: repeat-x;
    background-position: 0 -270px;
}
.selector:hover {
    background-position: 0 -315px;
}
.selector.focus {
    border-color: #FFA64D;
    background-position: 0 -360px;
}


.selector select {
    position: absolute;
    top: 0;
    left: 0;
    margin: 0;
    padding: 0;
    width: 100%;
    background: transparent;
}
.selector span {
    display: block;
    height: 35px;
    margin: 0;
    padding: 0 30px 0 10px;
    color: #111;
    font-size: 16px;
    line-height: 35px;
    white-space: nowrap;
    background-image: url('images/icons/icons.png');
    background-repeat: no-repeat;
    background-position: 100% 10px;
}


.b-form-elem_validation-icon {
    display: block;
    width: 16px;
    height: 16px;
    border: none;
    padding: 0;
    margin: 0;
    /*background-color: #EAF2F3;*/
    background-repeat: no-repeat;
    position: absolute;
    top: 12px;
    right: 10px;
}
.b-icon-close {
    background-image: url('images/icons/icons.png');
    background-position: 0 -16px;
}
.b-icon-loading {
    background-image: url('images/icons/ico-spinner-16.gif');
    background-position: 0 0;
}
.b-form-elem .input-validation-error {
    border-color: #FF0000;
}


/*
    New CSS Buttons
*/
.b-button {
    display: inline-block;
    overflow: hidden;
    margin: 0;
    padding: 0;
    background-image: url("images/buttons/buttons-new.png");
    background-repeat: repeat-x;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
}
.b-button a,
.b-button input {
	display: block;
	margin: 0;
	padding: 0;
	text-align: center;
	background: transparent;
	border: none;
	text-decoration: none;
	vertical-align: middle;
	height: inherit;
	line-height: inherit !important;
	font-family: inherit;
	color: inherit;
	font-size: inherit;
	font-weight: inherit;
	cursor: pointer;
    outline: none;
}

/* normal button */
.b-button-normal {
	height: 34px;
	line-height: 34px;
	background-position: 0 -150px;
	border-top: solid 1px #415f63;
	border-bottom: solid 1px #2d4c50;
	border-left: solid 1px #365559;
	border-right: solid 1px #365559;
	color: #fff;
	font-size: 14px;
	font-weight: normal;
	box-shadow: inset 0 1px 0 rgba(255,255,255, 0.35), 0 3px 2px rgba(158,172,173, 0.4), -1px 0 2px rgba(158,172,173, 0.4), 1px 0 2px rgba(158,172,173, 0.4);
}
.b-button-normal a,
.b-button-normal input {
	padding: 0 25px;
}
.b-button-normal input {
    margin-top: -2px;
}
.b-button-normal a {
    margin-top: -1px;
}
.b-button-normal:hover {
	background-position: 0 -190px;
}
.b-button-normal:active {
	background-position: 0 -230px;
    box-shadow: 0 3px 2px rgba(158,172,173, 0.4), -1px 0 2px rgba(158,172,173, 0.4), 1px 0 2px rgba(158,172,173, 0.4), inset 0 3px 5px rgba(0,0,0,0.2);
	border-top: solid 1px #0F4C57;
	border-bottom: solid 1px #146675;
	border-left: solid 1px #135D6B;
	border-right: solid 1px #135D6B;
}
.b-button-normal:active input {
    margin-top: -1px;
}
.b-button-normal:active a {
    margin-top: 0;
}

/* marked button */
.b-button-marked {
	height: 32px;
	line-height: 32px;
	background-position: 0 0;
	border-top: solid 1px #7B5025;
	border-bottom: solid 1px #64482D;
	border-left: solid 1px #7B5025;
	border-right: solid 1px #7B5025;
	color: #284c8b;
	font-size: 22px;
	font-weight: bold;
	box-shadow: 0 2px 2px rgba(0,0,0, 0.65), inset 0 1px 0 rgba(255, 255, 255, 0.8);
}
.b-button-marked a,
.b-button-marked input {
	text-shadow: 0 1px 0 rgba(255, 255, 255, 0.4);
	padding: 0 40px;
}
.b-button-marked:hover {
	background-position: 0 -50px;
}
.b-button-marked:active {
	background-position: 0 -100px;
    box-shadow: inset 0 2px 5px rgba(0, 0, 0, 0.65);
	border-top: solid 1px #673401;
	border-bottom: solid 1px #d1c1b2;
	border-left: solid 1px #673401;
	border-right: solid 1px #673401;
}
.b-button-marked:active a,
.b-button-marked:active input {
    margin-top: 1px;
}



/* icon buttons */
.b-icon-button {
    display: block;
    background-color: transparent;
    background-repeat: no-repeat;
}
.b-icon-small {
    width: 16px;
    height: 16px;
}

/*
    Pickadate Datepicker
*/
.pickadate__holder {
    width: 100%;
    height: 0;
    position: absolute;
    z-index: 10000;
}

.pickadate__calendar--wrap {
    position: relative;
    max-width: 320px;
    min-width: 256px;
    max-height: 0;
    overflow-y: hidden;

    -webkit-transition: all .15s ease-out;
       -moz-transition: all .15s ease-out;
            transition: all .15s ease-out;
}

.pickadate__holder--opened .pickadate__calendar--wrap {
    max-height: 25em;
    border: none;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    background: transparent url('images/backgrounds/bg-ui.png');
}

.pickadate__calendar {
    padding: 18px;
    margin: 6px;

    font-size: 12px;
    line-height: 1.5;
    color: #000;
    background: #fff;

    -webkit-box-sizing: border-box;
       -moz-box-sizing: border-box;
            box-sizing: border-box;
}


.pickadate__calendar--table {
    text-align: center;
    border-collapse: collapse;
    border-spacing: 0;
    table-layout: fixed;
    width: 100%;
    margin-top: 1em;
}

.pickadate__weekday {
    width: 14.285714286%; /* 100/7 */
    font-size: 10px;
    line-height: 1;
    padding-bottom: 3px;
    border-bottom: solid 1px #D9EDF0;
    color: #6A6A6A;
    font-weight: normal;
}



.pickadate__month--nav {
    position: relative;
}

.pickadate__month--prev,
.pickadate__month--next {
    position: absolute;
    top: 0;
    padding: 0;
    margin: 0;
    width: 16px;
    height: 16px;
    background-color: transparent;
    background-image: url('images/icons/icons.png');
    background-repeat: no-repeat;
    text-indent: -9000px;
}
.pickadate__month--prev {
    left: 0;
    background-position: 0 -48px;
}
.pickadate__month--next {
    right: 0;
    background-position: 0 -32px;
}
.pickadate__month--prev:hover {
    left: 0;
    background-position: -16px -48px;
}
.pickadate__month--next:hover {
    right: 0;
    background-position: -16px -32px;
}

.pickadate__month--wrap {
    width: 55%;
    float: left;
    margin-bottom: 15px;
}
.pickadate__year--wrap {
    width: 45%;
    float: right;
    margin-bottom: 15px;
}
.pickadate__month,
.pickadate__year {
    color: #333;
    font-weight: bold;
}
.pickadate__month {
    text-align: right;
    padding-right: 3px;
}
.pickadate__year {
    text-align: left;
    padding-left: 3px;
}



.pickadate__month--selector,
.pickadate__year--selector {
    font-size: .8em;
    border: 1px solid #ccc;
    height: 32px;
}

.pickadate__month--selector {
    margin-bottom: .5em;
    width: 50%;
}

.pickadate__year--selector {
    width: 32%;
}



/* highlights */
.pickadate__day {
    padding: 3px 0;
    font-weight: normal;
    border: 1px solid #fff;
}
.pickadate__day--today {
    color: #24A5B8;
    background: #fff;
    border: 1px solid #28BBD0;
}
.pickadate__day--outfocus {
    color: #D7D7D7;
}
.pickadate__day--selected {
    background: #284c8b;
    color: #fff;
}
.pickadate__day--selected:hover,
.pickadate__day--highlighted:hover,
.pickadate__day--infocus:hover,
.pickadate__day--outfocus:hover,
.pickadate__month--prev:hover,
.pickadate__month--next:hover {
    cursor: pointer;
}
.pickadate__day--selected:hover,
.pickadate__day--today:hover,
.pickadate__day--infocus:hover {
    background: #c4d3ff;
    color: #257D8B;
    border: 1px solid #c4d3ff;
}
.pickadate__day--outfocus:hover {
    background: #c4d3ff;
    color: #B1B1B1;
    border: 1px solid #c4d3ff;
}
.pickadate__day--disabled,
.pickadate__day--disabled:hover {
    color: #B7B7B7;
    background: #fff;
    border: 1px solid #fff;
}
.pickadate__day--highlighted,
.pickadate__day--highlighted:hover {
    background: #284c8b;
    color: #fff;
    border: 1px solid #284c8b;
}
/* 
    Core qTip styles 
    https://github.com/Craga89/qTip2
*/
.qtip, .qtip {
    position: absolute;
    left: -28000px;
    top: -28000px;
    display: none;
    max-width: 300px;
    min-width: 100px;
    direction: ltr;
}
.qtip-content {
    position: relative;
    overflow: hidden;
    text-align: left;
    word-wrap: break-word;
}

/* Applied to 'focused' tooltips e.g. most recently displayed/interacted with */
.qtip-focus {}

/* Applied on hover of tooltips i.e. added/removed on mouseenter/mouseleave respectively */
.qtip-hover {}

/* Default tooltip style */
.qtip-default {
    font-size: 11px;
    color: #fff;
    background: #444;
    border: solid 1px #444;
    box-shadow: 0 1px 2px rgba(0,0,0, 0.4);
    -moz-opacity: 0.95;
    opacity: 0.95;
    /*-ms-filter:"progid:DXImageTransform.Microsoft.Alpha"(Opacity=95);*/
}
.qtip-default .qtip-content {
    padding: 6px 10px 6px 28px;
    background: transparent url('images/icons/icons.png') -298px -206px no-repeat;
    font-size: 11px;
    color: #fff;
}
.qtip-default .qtip-content a {
    color: #fff;
    text-decoration: underline;
}
.qtip-default .qtip-content a:hover {
    color: #FFBF00;
    text-decoration: underline;
}

/* Tips plugin */
.qtip .qtip-tip {
    margin: 0 auto;
    overflow: hidden;
    z-index: 10;
}
.qtip .qtip-tip, 
.qtip .qtip-tip .qtip-vml {
	position: absolute;
	color: #123456;
	background: transparent;
	border: 0 dashed transparent;
}
.qtip .qtip-tip canvas { 
    top: 0; 
    left: 0;
}
.qtip .qtip-tip .qtip-vml {
	/*behavior: url(#default#VML);*/
	display: inline-block;
	visibility: visible;
}

.qtip-pos-bc .qtip-tip, 
.qtip-pos-bc .qtip-tip .qtip-vml,
.qtip-pos-bc .qtip-tip canvas { 
    width: 13px;
    height: 8px;
    margin-left: 10px;
}
/*
    Watermark
*/
.watermark {
    color: #ccc;
    font-style: italic;
    font-weight: normal;
    font-size: 14px;
}
.b-form-search-main .watermark {
    font-size: 20px;
}
/*
    Autocomplete
*/
.ui-autocomplete {
    z-index: 20000;
    position: absolute;
    left: 0;
}
.ui-menu {
    margin: 0 -6px;
    padding: 2px 6px 6px 6px;
    list-style-type: none;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    background-image: url('images/backgrounds/bg-ui.png');
}
.ui-menu .b-menu_item {
    display: block;
    margin: 0;
    padding: 0;
}
.ui-menu .b-menu_item_inner {
    display: block;
    overflow: hidden;
    position: relative;
    border-top: dotted 1px #eee;
    text-decoration: none;
    white-space: nowrap;
}
.ui-menu .b-menu_link,
.ui-menu .b-menu_subtitle {
    display: block;
    padding: 7px 10px;
    background-color: #fff;
    text-decoration: none;
}
.ui-menu .item-type-location .b-menu_link {
    padding-right: 95px;
}
.ui-menu .b-menu_link {
    font-size: 12px;
    color: #666;
    cursor: pointer;
}
.ui-menu .b-menu_subtitle {
    font-size: 14px;
    color: #24A5BA;
    font-weight: bold;
}
.ui-menu .b-menu_item:hover .b-menu_link,
.ui-menu .ui-state-focus {
    color: #212121;
    background: #D9EDF0;
    text-decoration: none;
}
.b-menu_item_description {
    color: #aaa;
}
.b-menu_item_sidebar {
    position: absolute;
    top: 6px;
    right: 10px;
    width: 80px;
    color: #aaa;
    text-align: right;
}
.ui-menu .item-type-location.item-type-title .b-menu_item_inner {
    border-top: none !important;
}
.ui-menu .item-type-hotel.item-type-title .b-menu_item_inner {
    border-top: solid 1px #ddd !important;
}
.b-menu_item stroprepareng {
    font-weight: bold;
}

.b-elem-calendar{margin:0 auto;}

.ZRa #button:hover {
background: no-repeat url(//ssl.gstatic.com/s2/oz/images/stars/po/Publisher/sprite4-a67f741843ffc4220554c34bd01bb0bb.png) 0 -321px;
}
body #root #plusone #widget_bounds table tbody tr td span#button.hAa.ah.Bgn {
background: no-repeat url(//ssl.gstatic.com/s2/oz/images/stars/po/Publisher/sprite4-a67f741843ffc4220554c34bd01bb0bb.png) 0 -275px !important;
}
.ZRa #button {
width: 50px;
height: 21px;
}